Package ru.bitel.bgbilling.plugins.assistant.common.bean

# Class AssistantActionItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.assistant.common.bean.AssistantActionItem

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class AssistantActionItem extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssistantActionItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActionId()`
  `int`
  `getDependent()`
  `int`
  `getSort()`
  `AssistantActionItem`
  `setActionId(String actionId)`
  `AssistantActionItem`
  `setDependent(int dependent)`
  `AssistantActionItem`
  `setId(int id)`
  Устанавливает id объекта
  `AssistantActionItem`
  `setSort(int sort)`
  `AssistantActionItem`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `ru.bitel.bgbilling.plugins.assistant.common.dto.AssistantActionDTO`
  `toAssistantActionDTO()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### AssistantActionItem

    public AssistantActionItem()

- ## Method Details

  - ### getActionId

    public String getActionId()

  - ### getDependent

    public int getDependent()

  - ### getSort

    public int getSort()

  - ### setActionId

    public AssistantActionItem setActionId(String actionId)

  - ### setDependent

    public AssistantActionItem setDependent(int dependent)

  - ### setSort

    public AssistantActionItem setSort(int sort)

  - ### setId

    public AssistantActionItem setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setTitle

    public AssistantActionItem setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### toAssistantActionDTO

    public ru.bitel.bgbilling.plugins.assistant.common.dto.AssistantActionDTO toAssistantActionDTO()